﻿Public Class ucAppDescription
    Inherits UserControl

    Public Event ucAppDescription_ButtonClick(sender As System.Object, e As System.EventArgs)

    Private c_sApplicationName As String = String.Empty
    Private c_sApplicationDescription As String = String.Empty
    Private c_sUserControlName As String = String.Empty

    Public Property ApplicationName As String
        Get
            Return c_sApplicationName
        End Get
        Set(value As String)
            c_sApplicationName = value
        End Set
    End Property

    Public Property ApplicationDescription() As String
        Get
            Return c_sApplicationDescription
        End Get
        Set(ByVal value As String)
            c_sApplicationDescription = value
            lblAppDescription.Text = c_sApplicationDescription
        End Set
    End Property

    Public Property UserControlName() As String
        Get
            Return c_sUserControlName
        End Get
        Set(ByVal value As String)
            c_sUserControlName = value
            btnApplication.Tag = c_sUserControlName
            btnApplication.Text = ""
            btnApplication.BackgroundImage = CType(My.Resources.ResourceManager.GetObject(c_sUserControlName), Image)
        End Set
    End Property


    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

    End Sub

    Private Sub btnApplication_Click(sender As System.Object, e As System.EventArgs) Handles btnApplication.Click
        RaiseEvent ucAppDescription_ButtonClick(Me, e)
    End Sub
End Class
